Bug 135520 - RFE: Anaconda should fsck partitions itself if necessary instead of rebooting
Summary: RFE: Anaconda should fsck partitions itself if necessary instead of rebooting
Status: CLOSED DEFERRED
Alias: None
Product: Fedora
Classification: Fedora
Component: anaconda   
(Show other bugs)
Version: 3
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Anaconda Maintenance Team
QA Contact: Mike McLean
URL:
Whiteboard: FC4
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2004-10-13 09:30 UTC by Bastien Nocera
Modified: 2007-11-30 22:10 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-04-19 19:21:59 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Bastien Nocera 2004-10-13 09:30:53 UTC
If partitions are dirty, and we ask the installer not to format the
partitions, it will reboot in order for us to fsck the partition.
Anadonda should really do that itself.

Comment 1 Jeremy Katz 2004-10-14 13:17:09 UTC
One problem is that if we fsck and then need user input, that is ...
nearly impossible to do without a terminal.  I'll consider for the
future at least for the case where the partition comes out fine, but
if user input is needed, then I'm not sure what I'll be able to do.


Note You need to log in before you can comment on or make changes to this bug.